Bug 16634 - make SwfdecAudioEvent a SwfdecAudioStream
make SwfdecAudioEvent a SwfdecAudioStream
Status: NEW
Product: swfdec
Classification: Unclassified
Component: library
0.7.x
Other All
: medium normal
Assigned To: swfdec ml
swfdec ml
http://randomfoo.net/oscon/2002/lessi...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-07 13:22 UTC by Pablo Rodríguez
Modified: 2008-11-16 23:23 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pablo Rodríguez 2008-07-07 13:22:45 UTC
swfdec-0.7.2 seems not to be able to
Comment 1 Pablo Rodríguez 2008-07-07 13:27:33 UTC
Sorry for the previous comment and summary (I copied the URL in the wrong field and pressing the return key sent the report although I didn't intend to do that).

swfdec-0.7.2 seems not to be able to play the audio contained in the following Flash file: http://randomfoo.net/oscon/2002/lessig/free_culture.swf.

When it comes to the audio, CPU goes 100% and it takes all memory available. I'm afraid that this might be a leak.

Thanks for your help,


Pablo
Comment 2 Riccardo Magliocchetti 2008-07-07 13:34:16 UTC
This hangs on the second slide with latest git, please don't use such high severity / priority. Thank you for reporting the issue.
Comment 3 Pablo Rodríguez 2008-07-09 09:38:37 UTC
Hi Riccardo,

thanks for your reply and sorry for setting the severity and priority so high. (I'm afraid this is a long-standing bug in swfdec that occurs with the most SWF files I work with.)

Is there any way I can help with this? I cannot code, but probably I could test the SWF file.

BTW, it seems that swfdec-gnome-2.22.2 cannot be compiled using swfdec-0.7.2 (since it requires swfdec-0.6). How about releasing an unstable version of swfdec-gnome also, so that it could be used to test the unstable branch of swfdec?

Thanks for your help,


Pablo
Comment 4 Riccardo Magliocchetti 2008-07-09 12:31:10 UTC
(In reply to comment #3)
> Hi Riccardo,

Hi Pablo,

> thanks for your reply and sorry for setting the severity and priority so high.
> (I'm afraid this is a long-standing bug in swfdec that occurs with the most SWF
> files I work with.)

I think it's the first time it is submitted :)
 
> Is there any way I can help with this? I cannot code, but probably I could test
> the SWF file.

Well you can test the git version periodically but usually when there is a code fix the bug got closed too.

> BTW, it seems that swfdec-gnome-2.22.2 cannot be compiled using swfdec-0.7.2
> (since it requires swfdec-0.6). How about releasing an unstable version of
> swfdec-gnome also, so that it could be used to test the unstable branch of
> swfdec?

This is done intentionally but for the exact reason you have to wait words from Benjamin. If you don't have the mozilla plugin and you are compiling the source there is a small player in swfdec source code, see player/swfplay.
Comment 5 Pablo Rodríguez 2008-07-10 13:18:21 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > Hi Riccardo,
> 
> Hi Pablo,
> 
> > thanks for your reply and sorry for setting the severity and priority so high.
> > (I'm afraid this is a long-standing bug in swfdec that occurs with the most SWF
> > files I work with.)
> 
> I think it's the first time it is submitted :)

Actually there was a similar report in bug 9874, but this issue with sound was fixed. Although I get an error message when playing both files attached there:

SWFDEC: ERROR: swfdec_bits.c(161): swfdec_bits_getbits: reading past end of buffer

I don't know whether this is already fine or it must be fixed further (I could report a new issue, if you confirmed me the new bug).

> > Is there any way I can help with this? I cannot code, but probably I could test
> > the SWF file.
> 
> Well you can test the git version periodically but usually when there is a code
> fix the bug got closed too.

I can test the git version regularly, but the issue is that I don't know how to get the code. Would it be possible to add the command at the bottom of the "Development source code" section on swfdec's wiki in a similar manner as it is written at the bottom of http://www.swftools.org/download.html?

Thanks for your help,


Pablo
Comment 6 Riccardo Magliocchetti 2008-07-10 14:02:49 UTC
(In reply to comment #5)
> I can test the git version regularly, but the issue is that I don't know how to
> get the code. Would it be possible to add the command at the bottom of the
> "Development source code" section on swfdec's wiki in a similar manner as it is
> written at the bottom of http://www.swftools.org/download.html?

See http://swfdec.freedesktop.org/wiki/Installation, if you have other questions not strictly related to this bug please discuss them on the list.
Comment 7 Pablo Rodríguez 2008-09-21 10:21:34 UTC
Still not working in swfdec-0.8.0 (+ swfdec-gnome-2.23.4).

    $ swfdec-player free_culture.swf 
    SWFDEC: ERROR: swfdec_as_context.c(168): swfdec_as_context_abort: abort:
    Runtime exceeded

The error message is itself wrong, since it reports:

    free_culture.swf is broken, playback aborted.

I'm afraid it isn't the file what is broken.

Thanks for your work,


Pablo
Comment 8 Pablo Rodríguez 2008-09-27 04:44:44 UTC
Updating summary info.
Comment 9 Benjamin Otte 2008-10-03 03:19:49 UTC
It seems we shouldn't decode event sounds all at once but on-demand decode them just like all other audio sources.

It seems the free culture SWF uses a multi-minute MP3 as an event sound and decoding that takes longer than allowed.
Comment 10 Pablo Rodríguez 2008-11-16 03:22:18 UTC
Still not fixed in version 0.9.2.

Will it be fixed before next stable release?

Thanks,


Pablo
Comment 11 Benjamin Otte 2008-11-16 23:23:38 UTC
I have no idea. I usually decide what I want to work on next whenever I have the next feature done. The only way to make sure it gets in is to do it yourself or make someone fix it.